Unit LOGFile;

Interface

Const
  LogInited : ByteBool = False;

Procedure LOG_Init;
procedure LOG_Init_2(S:String);
Procedure LOG_Write(S:String);
Procedure LOG_WriteLn(S:String);
Procedure LOG_Close;

Var
  Log : Text;

Implementation

Procedure LOG_Init;
begin
  Assign(Log, 'LOGFILE.TXT');
  {$I-}
  ReWrite(Log);
  LOGInited := True;
end;

procedure LOG_Init_2(S:String);
begin
  Assign(Log, S);
  {$I-}
  ReWrite(Log);
  LOGInited := True;
end;

Procedure LOG_Write(S:String);
  begin
    if not LogInited then Exit;
    {$I-}
    Write(Log, S);
    {$I+}
  end;

Procedure LOG_WriteLn(S:String);
  begin
    if not LogInited then Exit;
    {$I-}
    WriteLn(Log, S);
    {$I+}
  end;

Procedure LOG_Close;
  begin
    if not LogInited then Exit;
    {$I-}
    Close(Log);
  end;

end.



